import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CloudAccount } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-11 14:29
 */
interface CloudAccountCU extends ConditionUtil<CloudAccountCU> {
    ID: FieldUtil<CloudAccountCU>;
    ACCESS_KEY: FieldUtil<CloudAccountCU>;
    SECRET: FieldUtil<CloudAccountCU>;
    PROJECT_ID: FieldUtil<CloudAccountCU>;
    CLOUD_PLATFORM: FieldUtil<CloudAccountCU>;
}
declare class CloudAccountMU extends TableUtilImpl<CloudAccountCU, CloudAccount> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CloudAccountCU;
    static get ID(): FieldUtil<CloudAccountCU>;
    static get ACCESS_KEY(): FieldUtil<CloudAccountCU>;
    static get SECRET(): FieldUtil<CloudAccountCU>;
    static get PROJECT_ID(): FieldUtil<CloudAccountCU>;
    static get CLOUD_PLATFORM(): FieldUtil<CloudAccountCU>;
    get ID(): FieldUtil<CloudAccountCU>;
    get ACCESS_KEY(): FieldUtil<CloudAccountCU>;
    get SECRET(): FieldUtil<CloudAccountCU>;
    get PROJECT_ID(): FieldUtil<CloudAccountCU>;
    get CLOUD_PLATFORM(): FieldUtil<CloudAccountCU>;
}
export { CloudAccountMU, CloudAccountCU };
